{% extends 'configuration/basic_settings/basic_settings_configuration.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('configuration/basic_settings/wms/overview') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('configuration/basic_settings/wms/overview') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <span class="text-primary fs-5 align-self-center">Grundeinstellungen</span>

    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4 p-4">
            <h2 class="mb-3 fs-3">WMS-Dienste</h2>
            <p>
                WebMapServices (WMS) sind ein standardisiertes Austauschformat für Geodaten.
                An dieser Stelle können WMS-Dienste eingelesen werden, die dann für alle Nutzer:innen in LeAn® als Kartenebenen zur Verfügung stehen.
                Außerdem können bereits eingelesene WMS-Dienste umbenannt werden oder aus LeAn® entfernt werden.
            </p>
        </div>
        <div class="row">
            <div class="col-12 col-lg-6">
                <div class="mdc-card mb-4">
                    <div class="p-4">
                        <h3 class="mb-3 fs-4">
                            Eingebundene WMS-Layer
                        </h3>
                    </div>
                    {% include 'configuration/component/basic_settings/wms_layer_list_component.html.twig' with {
                        'idPrefix': 'wms_layer_',
                        'listItems': wmsLayers,
                        'noEntriesText': ' Aktuell sind keine WMS-Dienste eingebunden.',
                        'showEditButton': true,
                        'massOperation': false,
                        'pagination': false,
                        'sortable': false
                    } only %}
                </div>
            </div>
            <div class="col-12 col-lg-6 h-100">
                <div class="mdc-card mb-4 p-4">
                    <h3 class="mb-3 fs-4">
                        Neue WMS-Layer einbinden
                    </h3>
                    <p>
                        Um neue Layer einzubinden, müssen Sie untenstehend die Capabilities-URL des Dienstes angeben und auf EINBINDEN klicken.
                        Handelt es sich um eine korrekte WMS-Ressource, so können Sie im nächsten Schritt die Ebenen aus dem Dienst auswählen, die Sie in LeAn® einlesen möchten.
                    </p>
                    {{ form_start(wmsLayerAddForm, {'attr': {'id': wmsLayerAddForm.vars.id ~ '_form'}}) }}
                    {% include 'configuration/form/basic_settings/wms/wms_layer_add_form.html.twig' with {'form': wmsLayerAddForm} only %}
                    {{ form_widget(wmsLayerAddForm.add, {'label': 'EINBINDEN', 'id': wmsLayerAddForm.add.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto align-self-center'}}) }}
                    {{ form_row(wmsLayerAddForm._token) }}
                    {{ form_end(wmsLayerAddForm, {'render_rest': false}) }}
                </div>
            </div>
        </div>
        <div class="mdc-card mb-4">
            <div class="p-3">
                <h2 class="mb-3 fs-3">WMS-Dienst von LeAn®</h2>
                <p>LeAn® kann nicht nur externe WMS-Dienst einbinden, sondern auch einen WMS-Dienst mit den Informationen der Leerstände und Bestandsobjekte zur Verfügung stellen.</p>
                <h3 class="mb-3 fs-5">Capabilities-URL zum WMS-Dienst</h3>
                <div class="row mb-3">
                    <div class="col-10">
                        {{ form_row(wmsCapabilitiesUrlForm.capabilitiesUrlVersionOneDotOne) }}
                    </div>
                    <div class="col-2 pt-3">
                        <a href="#" id="copy_{{ wmsCapabilitiesUrlForm.vars.id }}_capabilitiesUrlVersionOneDotOne" class="material-icons mdc-icon-button mdc-card__action mdc-card__action--icon text-secondary">
                            <div class="mdc-icon-button__ripple"></div>
                            content_copy
                        </a>
                    </div>
                </div>
                <div class="row mb-3">
                    <div class="col-10">
                        {{ form_row(wmsCapabilitiesUrlForm.capabilitiesUrlVersionOneDotThree) }}
                    </div>
                    <div class="col-2 pt-3">
                        <a href="#" id="copy_{{ wmsCapabilitiesUrlForm.vars.id }}_capabilitiesUrlVersionOneDotThree" class="material-icons mdc-icon-button mdc-card__action mdc-card__action--icon text-secondary">
                            <div class="mdc-icon-button__ripple"></div>
                            content_copy
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}
